package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

@Table("storage_node")
public class StorageNode extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; //
    @Column("storage_id")
    private Long storageId; // 所属集群
    @Column("node_uuid")
    private String nodeUuid; // 标识
    @Column("iscsi_name")
    private String iscsiName; // iSCSI 名称 (IQN)
    @Column("iscsi_alias")
    private String iscsiAlias; // iSCSI 别名
    @Column("is_config_node")
    private Boolean isConfigNode; // 配置节点
    @Column("failover_active")
    private Boolean failoverActive; // iSCSI 故障转移活动
    @Column("failover_name")
    private String failoverName; // 故障转移伙伴节点
    @Column("key_path")
    private String keyPath; // smis传参用

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStorageId() {
        return storageId;
    }

    public void setStorageId(Long storageId) {
        this.storageId = storageId;
    }

    public String getNodeUuid() {
        return nodeUuid;
    }

    public void setNodeUuid(String nodeUuid) {
        this.nodeUuid = nodeUuid;
    }

    public String getIscsiName() {
        return iscsiName;
    }

    public void setIscsiName(String iscsiName) {
        this.iscsiName = iscsiName;
    }

    public String getIscsiAlias() {
        return iscsiAlias;
    }

    public void setIscsiAlias(String iscsiAlias) {
        this.iscsiAlias = iscsiAlias;
    }

    public Boolean getIsConfigNode() {
        return isConfigNode;
    }

    public void setIsConfigNode(Boolean configNode) {
        isConfigNode = configNode;
    }

    public Boolean getFailoverActive() {
        return failoverActive;
    }

    public void setFailoverActive(Boolean failoverActive) {
        this.failoverActive = failoverActive;
    }

    public String getFailoverName() {
        return failoverName;
    }

    public void setFailoverName(String failoverName) {
        this.failoverName = failoverName;
    }
}
